# Note that this is NOT a relocatable package
%define ver     0.9.8
%define rel     1y
%define prefix  /usr
%define name    xine-ui
%define ginstall /usr/bin/install -c

Name:        %{name}
Summary:     A Free Video Player.
Summary(ko):   ÷̾
Version:     %{ver}
Release:     %{rel}
Copyright:   GPL
Group:       Applications/Multimedia
Source:      http://xine.sourceforge.net/files/xine-ui-0.9.8.tar.gz
URL:         http://xine.sourceforge.net
Packager:    Daniel Caujolle-Bert <f1rmb@users.sourceforge.net>
Requires:    xine-lib >= %{ver}
BuildRoot:   /tmp/%{name}-root

%package aa
Summary:     XINE - Ascii Art player.
Group:       Applications/Multimedia
Requires:    xine-lib >= %{ver}, xine-lib-aa

%description
xine is a free gpl-licensed video player for unix-like systems.
We support mpeg-2 and mpeg-1 system (audio + video multiplexed) streams,
eventually mpeg-4 and other formats might be added.

xine plays the video and audio data of mpeg-2 videos and synchronizes
the playback of both. Depending on the properties of the mpeg stream,
playback will need more or less processor power, 100% frame rate
has been seen on a 400 MHz P II system.

%description -l fr
xine est un lecteur vido libre sous license GPL pour les systmes de
type unix. Nous supportons les flux mpeg-2 et mpeg-1 (audio + vido 
multiplexs), ventuellement le mpeg-4 et d'autres formats peuvent
tres ajouts.

xine joue les donnes vido et audio de vido mpeg-2 et synchronise
la lecture des deux. En fonction des proprites du flux mpeg,
la lecture aura besoin de plus ou moins de puissance du processeur, 
100% de restitution de trame a t vus sur un systme PII 400MHz.

%description -l ko
xine  GPL̼  UNIX   ÷̾Դϴ. 
÷̾ mpeg-2  mpeg 1 Ʈ ϸ,  
 ߿ mpeg-4  ٸ    Դϴ.

%description -l pt
O xine  um leitor de vdeo livre ao abrigo da GPL para sistemas tipo
Unix. L ficheiros MPEG-2 e MPEG-1, bem como AVIs que contenham
MS MPEG-4 / OpenDivX Video.

O xine l o contedo vdeo e udio e sincroniza-os em tempo-real. As
necessidades de processador dependem das propriedades de cada ficheiro.
Em princpio, um sistema equipado com um Pentium-II a 400 MHz consegue
ler qualquer vdeo com mximo desempenho.

%description aa
Video player using Ascii Art library.

%prep
%setup -n xine-ui-0.9.8

%build
./configure --prefix=%{prefix}
make

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
#mkdir -p $RPM_BUILD_ROOT/usr/include/X11/pixmaps
make install-strip DESTDIR=$RPM_BUILD_ROOT
#cp doc/*.xpm $RPM_BUILD_ROOT/usr/include/X11/pixmaps

%post
#/sbin/ldconfig
if test -d /usr/share/xine/skins/metal; then rm -rf /usr/share/xine/skins/metal; fi
if test -d /usr/share/xine/skins/default; then rm -rf /usr/share/xine/skins/default && ln -s /usr/share/xine/skins/xinetic /usr/share/xine/skins/default; fi
# Icons
if test ! -d /usr/share/icons; then 
  %{ginstall} -m 755 -o 0 -g 0 -d /usr/share/icons
fi
%{ginstall} -m 644 -o 0 -g 0 /usr/share/xine/desktop/xine.xpm /usr/share/icons/xine.xpm
if test ! -d /usr/share/pixmaps; then 
  %{ginstall} -m 755 -o 0 -g 0 -d /usr/share/pixmaps
fi
%{ginstall} -m 644 -o 0 -g 0 /usr/share/xine/desktop/xine.xpm /usr/share/pixmaps/xine.xpm
if test -d /etc/X11/wmconfig; then 
  %{ginstall} -m 644 -o 0 -g 0 /usr/share/xine/desktop/xine.wmconfig /etc/X11/wmconfig/xine
fi
if test -d /etc/X11/applnk; then
  if test ! -d /etc/X11/applnk/Multimedia; then 
    %{ginstall} -m 755 -o 0 -g 0 -d /etc/X11/applnk/Multimedia
  fi
  %{ginstall} -m 644 -o 0 -g 0 /usr/share/xine/desktop/xine.desktop /etc/X11/applnk/Multimedia/xine.desktop
fi
# End Icons
# Gnome
if test -d /opt/gnome; then
  if test ! -d /opt/gnome/share/pixmaps; then 
    %{ginstall} -m 755 -o 0 -g 0 -d /opt/gnome/share/pixmaps
  fi
  %{ginstall} -m 644 -o 0 -g 0 /usr/share/xine/desktop/xine.xpm /opt/gnome/share/pixmaps/xine.xpm
  if test -d /opt/gnome/share/gnome/apps/Multimedia; then
    %{ginstall} -m 644 -o 0 -g 0 /usr/share/xine/desktop/xine.desktop /opt/gnome/share/gnome/apps/Multimedia/xine.desktop
  else
    %{ginstall} -m 755 -o 0 -g 0 -d /opt/gnome/share/gnome/apps/Multimedia
    %{ginstall} -m 644 -o 0 -g 0 /usr/share/xine/desktop/xine.desktop /opt/gnome/share/gnome/apps/Multimedia/xine.desktop
  fi
else
  if test -d /usr/share/gnome/apps; then
    if test -d /usr/share/gnome/apps/Multimedia; then
      %{ginstall} -m 644 -o 0 -g 0 /usr/share/xine/desktop/xine.desktop /usr/share/gnome/apps/Multimedia/xine.desktop
    else
      %{ginstall} -m 755 -o 0 -g 0 -d /usr/share/gnome/apps/Multimedia
      %{ginstall} -m 644 -o 0 -g 0 /usr/share/xine/desktop/xine.desktop /usr/share/gnome/apps/Multimedia/xine.desktop
    fi
  fi
fi
# End Gnome
# Kde2
if test -d /opt/kde2/; then
  DIR_HI=/opt/kde2/share/icons/hicolor
  DIR_LO=/opt/kde2/share/icons/locolor
  HIRES='48x48 32x32 22x22'
  LORES='32x32 22x22 16x16'
  for hires in $$HIRES; do
    %{ginstall} -m 755 -o 0 -g 0 -d $DIR_HI/$hires/apps
    %{ginstall} -m 644 -o 0 -g 0 /usr/share/xine/desktop/xine_$hires.png $DIR_HI/$hires/apps/xine.png
  done
  for lores in $$LORES; do
    %{ginstall} -m 755 -o 0 -g 0 -d $DIR_LO/$lores/apps
    %{ginstall} -m 644 -o 0 -g 0 /usr/share/xine/desktop/xine_$lores.png $DIR_LO/$lores/apps/xine.png
  done
  if test ! -d /opt/kde2/share/applnk/Multimedia; then 
    %{ginstall} -m 755 -o 0 -g 0 -d /opt/kde2/share/applnk/Multimedia
  fi
  %{ginstall} -m 644 -o 0 -g 0 /usr/share/xine/desktop/xine.desktop /opt/kde2/share/applnk/Multimedia/xine.desktop
else
  if test -d /usr/share/applnk/Multimedia; then
    if test ! -d /usr/share/applnk/Multimedia; then 
      %{ginstall} -m 755 -o 0 -g 0 -d /usr/share/applnk/Multimedia
    fi
    %{ginstall} -m 644 -o 0 -g 0 /usr/share/xine/desktop/xine.desktop /usr/share/applnk/Multimedia/xine.desktop
  fi
fi
# End Kde2
# Kde
if test -d /opt/kde; then
  if test ! -d /opt/kde/share/icons; then 
    %{ginstall} -m 755 -o 0 -g 0 -d /opt/kde/share/icons
  fi
  if test ! -d /opt/kde/share/applnk/Multimedia; then 
    %{ginstall} -m 755 -o 0 -g 0 -d /opt/kde/share/applnk/Multimedia
  fi
  %{ginstall} -m 644 -o 0 -g 0 /usr/share/xine/desktop/xine.xpm /opt/kde/share/icons/xine.xpm
  %{ginstall} -m 644 -o 0 -g 0 /usr/share/xine/desktop/xine.desktop /opt/kde/share/applnk/Multimedia/xine.desktop
else
  if test -d /usr/share/applnk/Multimedia; then 
    %{ginstall} -m 644 -o 0 -g 0 /usr/share/xine/desktop/xine.desktop /usr/share/applnk/Multimedia/xine.desktop
  fi
fi
# End Kde

%preun
  REMOVALS='/usr/share/icons/xine.xpm /usr/share/pixmaps/xine.xpm /etc/X11/wmconfig/xine /etc/X11/applnk/Multimedia/xine.desktop /opt/gnome/share/pixmaps/xine.xpm /opt/gnome/share/gnome/apps/Multimedia/xine.desktop /usr/share/gnome/apps/Multimedia/xine.desktop /opt/kde2/share/applnk/Multimedia/xine.desktop /usr/share/applnk/Multimedia/xine.desktop /opt/kde/share/icons/xine.xpm /opt/kde/share/applnk/Multimedia/xine.desktop /usr/share/applnk/Multimedia/xine.desktop'
  for remove in $REMOVALS; do
    rm -f $remove
  done
  HIRES='48x48 32x32 22x22'
  LORES='32x32 22x22 16x16'
  for hires in $HIRES; do
    rm -f $DIR_HI/$hires/apps/xine.png
  done
  for lores in $LORES; do
    rm -f $DIR_LO/$lores/apps/xine.png
  done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
# binaries
%{prefix}/bin/xine
%{prefix}/share/idl/xine.idl
# skins
/usr/share/xine/skins/lcd/*
/usr/share/xine/skins/pitt/*
/usr/share/xine/skins/xinetic/*
/usr/share/xine/skins/cloudy/*
/usr/share/xine/skins/mp2k/*
# desktop entries/icons
/usr/share/xine/desktop/*
# documentation
%{prefix}/man/fr/man1/xine.1*
%{prefix}/man/es/man1/xine.1*
%{prefix}/man/pl/man1/xine.1*
%{prefix}/man/man1/xine.1*
%{prefix}/share/doc/xine-ui/FAQ_en
%{prefix}/share/doc/xine-ui/FAQ_es
%{prefix}/share/doc/xine-ui/FAQ_fr
%{prefix}/share/doc/xine-ui/FAQ_it
%{prefix}/share/doc/xine-ui/FAQ_pl
%{prefix}/share/doc/xine-ui/README.corba
%{prefix}/share/doc/xine-ui/README.divx4
%{prefix}/share/doc/xine-ui/README.dxr3
%{prefix}/share/doc/xine-ui/README.dxr3_pl
%{prefix}/share/doc/xine-ui/README.freebsd
%{prefix}/share/doc/xine-ui/README.irix
%{prefix}/share/doc/xine-ui/README.mrl
%{prefix}/share/doc/xine-ui/README.solaris
%{prefix}/share/doc/xine-ui/README.syncfb
%{prefix}/share/doc/xine-ui/README.config_en
%{prefix}/share/doc/xine-ui/README_en
%{prefix}/share/doc/xine-ui/README_es
%{prefix}/share/doc/xine-ui/README_pl
%{prefix}/share/doc/xine-ui/README_it
%{prefix}/share/doc/xine-ui/bug_report_form
## intl files
%{prefix}/share/locale/fr/LC_MESSAGES/xine-ui.mo
%{prefix}/share/locale/fr/LC_MESSAGES/xitk.mo
%{prefix}/share/locale/es/LC_MESSAGES/xine-ui.mo
%{prefix}/share/locale/es/LC_MESSAGES/xitk.mo
%{prefix}/share/locale/pt_BR/LC_MESSAGES/xine-ui.mo
%{prefix}/share/locale/pt_BR/LC_MESSAGES/xitk.mo

#%files aa
#%defattr(-,root,root)
#%{prefix}/bin/aaxine
#%{prefix}/man/man1/aaxine.1*
#%{prefix}/man/pl/man1/aaxine.1*

%changelog
* Sun Mar 31 2002 Yoshinori ARAI <yoshi@ylug.org>
- change rel number.
* Fri Dec 14 2001 Daniel Caujolle-Bert <f1rmb@users.sourceforge.net>
- Add portuguese brazilian *.mo files: thanks to Miguel Freitas <miguel@cetuc.puc-rio.br> ;-)
* Tue Nov 27 2001 Daniel Caujolle-Bert <f1rmb@users.sourceforge.net>
- Add spanish *.mo files: thanks to Juan Manuel Garca Molina <juanmagm@mail.com>
* Sun Nov 18 2001 Daniel Caujolle-Bert <f1rmb@users.sourceforge.net>
- Add *.mo files
* Wed Oct 3 2001 Daniel Caujolle-Bert <f1rmb@users.sourceforge.net>
- use DESTDIR for package building and add xineshot, based on patch from Andrew Meredith <andrew@anvil.org>
* Thu Sep 27 2001 Daniel Caujolle-Bert <f1rmb@users.sourceforge.net>
- Add icons and desktop stuff from patches by Miguel Freitas <miguel@cetuc.puc-rio.br>
* Sun Sep 16 2001 Daniel Caujolle-Bert <f1rmb@users.sourceforge.net>
- Merge patch from Jos Carlos Monteiro <jcm@netcabo.pt>:
  - Filelist and other minor updates,
  - Fixed some SuSE compatibility issues,
  - Added Portuguese summary.
* Sun Sep 16 2001 Daniel Caujolle-Bert <f1rmb@users.sourceforge.net>
- Add missing files.
* Thu Jul 26 2001 Daniel Caujolle-Bert <f1rmb@users.sourceforge.net>
- Made AA as separate package.
* Thu Jul 26 2001 Matthias Dahl <matthew2k@web.de>
- updated filelist.
* Tue Jul 03 2001 Matthias Dahl <matthew2k@web.de>
- fixed the "no-skins-in-final-RPM-package" problem (nice explanation *grin*)
* Sun Jun 10 2001 Matthias Dahl <matthew2k@web.de>
- updated filelist and the requirements field
- removed /sbin/ldconfig as post install script
* Thu Mar 28 2001 Daniel Caujolle-Bert <f1rmb@users.sourceforge.net>
- add korean summary, patch from Louis JANG <louis@ns.mizi.com>
* Thu Jan 11 2001 Daniel Caujolle-Bert <f1rmb@users.sourceforge.net>
- patch from Sung-Hyun Nam <namsh@lgic.co.kr> applied.
* Fri Oct 17 2000 Daniel Caujolle-Bert <f1rmb@users.sourceforge.net>
- first spec file.
